Subject: bug#18792: multipart/related with "cid:" image not shown

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Jan 2017 21:32:58 +0100

Stefan Monnier <[email-masked]> writes:

> [ This also affects trunk, and has probably been going on for a while
>   now.  ]
>
> I regularly receive emails that contain "a tiny bit of HTML text around
> a picture".  Often these have the following MIME structure:
>
>     multipart/related
>       multipart/alternative
>         text/plain
>         text/html
>       image/jpeg
>
> where the HTML refers to the image via a "cid:" URL.
>
> Here's the problem: Gnus seems to only show me the first element of the
> multipart/related and does not let me get access to the image.
>
> More specifically, I get a display such as:
>
>    From: "Toto" <[email-masked]>
>    Subject: blabla
>    To: Stefan Monnier <[email-masked]>
>    Date: Wed, 22 Oct 2014 12:59:18 +0000 (47 minutes, 13 seconds ago)
>
>    1.  (*) text/plain          ( ) text/html           
>
>    Mira esto

I haven't used "buttonised" article display in yonks, but I think cid:
basically works for me in the articles (I mean spam) I see, and they are
usually multipart/alternative wrapped in multipart/related, I seem to
remember from the last time I looked at it.

Could you forward a complete message that displays the issue?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no